%define libname_orig lib%{name}
%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}
%define staticdevelname %mklibname -d -s %{name}


Summary:	An open-source SIP User-Agent library
Name:		sofia-sip
Version:	1.12.11
%define subrel	2
Release:	%mkrel 10
License:	LGPLv2+
Url:		http://sofia-sip.sourceforge.net/
Group:		Networking/Instant messaging
Source0:	http://downloads.sourceforge.net/sofia-sip/sofia-sip-%{version}.tar.gz

#
# Security Patches
# P100 -> ...
#
# CVE-2022-31001
Patch100:	a99804b336d0e16d26ab7119d56184d2d7110a36.patch
# CVE-2022-31002
Patch101:	51841eb53679434a386fb2dcbca925dcc48d58ba.patch
# CVE-2022-31003
Patch102:	907f2ac0ee504c93ebfefd676b4632a3575908c9.patch
# Fix segfault in sofia's stun code
Patch103:	9e8e9b7ff89dfc8095831ef653d26a7c76276edf.patch
# CVE-2023-22741
Patch104:	da53e4fbcb138b080a75576dd49c1fff2ada2764.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	autoconf
BuildRequires:	automake

%description
Sofia-SIP is an open-source SIP  User-Agent library,
compliant with the IETF RFC3261 specification (see the
feature table). It can be used as a building block for
SIP client software for uses such as VoIP, IM, and many
other real-time and person-to-person communication services.
The primary target platform for Sofia-SIP is GNU/Linux.
Sofia-SIP is based on a SIP stack developed at the Nokia
Research Center. Sofia-SIP is licensed under the LGPL.

%package -n %{libname}
Summary:	Sophia-sip library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	%name = %version-%release

%description -n %{libname}
Library for %{name}

%package -n %{develname}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n %{develname}
Headers of %{name} for development.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes:	%{libname}-static-devel

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
libtoolize --automake --force
aclocal -I m4 --force
autoheader --force
autoconf --force
automake --gnu --force-missing --add-missing
%configure --disable-rpath
%make_build

%install
%make_install


%files -n %{name}
%{_bindir}/addrinfo
%{_bindir}/localinfo
%{_bindir}/sip-date
%{_bindir}/sip-dig
%{_bindir}/sip-options
%{_bindir}/stunc
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libsofia-sip-ua.so.0
%{_libdir}/libsofia-sip-ua.so.0.6.0
%{_libdir}/libsofia-sip-ua-glib.so.3
%{_libdir}/libsofia-sip-ua-glib.so.3.0.0

%files -n %{develname}
%{_datadir}/sofia-sip/msg_parser.awk
%{_datadir}/sofia-sip/tag_dll.awk
%{_includedir}/sofia-sip-1.12
%{_libdir}/libsofia-sip-ua-glib.la
%{_libdir}/libsofia-sip-ua-glib.so
%{_libdir}/libsofia-sip-ua.la
%{_libdir}/libsofia-sip-ua.so
%{_libdir}/pkgconfig/sofia-sip-ua-glib.pc
%{_libdir}/pkgconfig/sofia-sip-ua.pc

%files -n %{staticdevelname}
%{_libdir}/libsofia-sip-ua.a
%{_libdir}/libsofia-sip-ua-glib.a




%changelog
* Sat Feb 04 2023 daviddavid <daviddavid> 1.12.11-10.2.mga8
+ Revision: 1938121
- add upstream patch to fix CVE-2023-22741 (mga#31493)
+ neoclust <neoclust>
- Add P100->103: Fixes CVE-2022-3100[1-3] (mga#30806)

* Fri Feb 14 2020 umeabot <umeabot> 1.12.11-10.mga8
+ Revision: 1517141
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.12.11-9.mga7
+ Revision: 1301098
- Mageia 7 Mass Rebuild

* Wed Sep 06 2017 cjw <cjw> 1.12.11-8.mga7
+ Revision: 1151647
- rebuild for openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 1.12.11-7.mga6
+ Revision: 984111
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 1.12.11-6.mga6
+ Revision: 958903
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12.11-5.mga5
+ Revision: 750556
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.12.11-4.mga5
+ Revision: 725235
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.12.11-3.mga5
+ Revision: 689235
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.12.11-2.mga4
+ Revision: 540667
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1.12.11-1.mga4
+ Revision: 494163
- 1.12.11
  P0 & P1 merged upstream

* Mon Jan 14 2013 umeabot <umeabot> 1.12.10-6.mga3
+ Revision: 382290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ colin <colin>
- imported package sofia-sip


* Mon Jul 24 2011 Colin Guthrie <colin@mageia.org> 1.12.10-5.mga2
- Initial package for Mageia

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.10-4mdv2011.0
+ Revision: 614936
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.12.10-3mdv2010.1
+ Revision: 533648
- rebuild

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.12.10-2mdv2010.0
+ Revision: 445138
- rebuild

* Mon Jan 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.12.10-1mdv2009.1
+ Revision: 331410
- Update to new version 1.12.10
- Fix license
- Add Fedora patch to fix linking
- Add patch to fix building with -Werror=format-security
- Use %%{buildroot} instead of $RPM_BUILD_ROOT in SPEC file
- Disable rpath

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Michael Scherer <misc@mandriva.org> 1.12.8-1mdv2008.1
+ Revision: 178325
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.12.6-3mdv2008.0
+ Revision: 54312
- correct file list
- fix static devel requires

* Thu Jul 12 2007 Funda Wang <fwang@mandriva.org> 1.12.6-2mdv2008.0
+ Revision: 51616
- New devel package policy

* Wed May 02 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.12.6-1mdv2008.0
+ Revision: 20667
- Added missing BuildRequires for glib2-devel.
- Added missing BuildRequires for libopenssl-devel.
- Splitted *.a files into a new static-devel subpackage.
- Updated to 1.12.6.


* Tue Apr 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11.7-2mdk
- Fix BuildRequires

* Thu Mar 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11.7-1mdk
- First mandriva release

